Loading...
Searching...
No Matches
UUID Handling

## Data Structures

struct | apr_uuid_t

## Macros

#define | APR_UUID_FORMATTED_LENGTH 36

## Functions

void | apr_uuid_get (apr_uuid_t *uuid)
void | apr_uuid_format (char *buffer, const apr_uuid_t *uuid)
apr_status_t | apr_uuid_parse (apr_uuid_t *uuid, const char *uuid_str)

## Detailed Description

## Macro Definition Documentation

## APR_UUID_FORMATTED_LENGTH

#define APR_UUID_FORMATTED_LENGTH 36

UUIDs are formatted as: 00112233-4455-6677-8899-AABBCCDDEEFF

## Function Documentation

## apr_uuid_format()

void apr_uuid_format | ( | char * | buffer,
|  | const apr_uuid_t * | uuid
| ) |  |

Format a UUID into a string, following the standard format

Parameters

  buffer | The buffer to place the formatted UUID string into. It must be at least APR_UUID_FORMATTED_LENGTH + 1 bytes long to hold the formatted UUID and a null terminator
  uuid | The UUID to format

## apr_uuid_get()

void apr_uuid_get | ( | apr_uuid_t * | uuid | ) |

Generate and return a (new) UUID

Parameters

  uuid | The resulting UUID

## apr_uuid_parse()

apr_status_t apr_uuid_parse | ( | apr_uuid_t * | uuid,
|  | const char * | uuid_str
| ) |  |

Parse a standard-format string into a UUID

Parameters

  uuid | The resulting UUID
  uuid_str | The formatted UUID